Libraries module update from 1.x to 2.x failed

5 posts / 0 new
Last post
OceanStudio
OceanStudio's picture
Libraries module update from 1.x to 2.x failed

I just installed a recently purchased 'Seven' theme and was going through recommended updates.
Only problem occurred with regard to ColorBox dependency of 'Libraries' module.

Now error message occurs for any updates of modules:
Fatal error: Call to undefined function libraries_load() in /home/oceans29/public_html/sites/all/modules/colorbox/colorbox.module on line 223

In modules admin, 'Libraries' is at 1.x and ColorBox update is complete but, it says it requires Libraries 2.x.

Wanted to disable the 'Libraries' module in admin to install 2.x but no conifg link is there and both ColorBox and Libraries module checkboxes are greyed out.

Is there are way I can do the Libraries 2.x install from server side? or any other advice on how to update Libraries to 2.x?

Thanks for any info....

OceanStudio
OceanStudio's picture
libraries module successful update - now colorbox broken

I did the server-side manual installation method for the 'Libraries' module and successfully updated 'Libraries' to version 2.x.
I went through all modules and ran updates and database update scripts...

Now ColorBox module functionality no longer works...

Should I maybe reinstall ColorBox Module ?
No errors are given, colorbox functions just simply stopped. instead, clicking an image just loads image in a new browser window.

support
support's picture
Hi there OceanStudio:

Hi there OceanStudio:

Please download again the Colorbox Library and place it in the folder sites/all/libraries/colorbox

Let us know.

Best!!!

OceanStudio
OceanStudio's picture
colorbox re-upload

yes, it does seem that a re-upload of colorbox with the manual method of upload directly from server side in my CPanel did the trick !

Thank you.

support
support's picture
You are welcome!!!

You are welcome!!!

Log in to post comments